package pl.wat.wcy.openmap.rmi.dted;

import java.rmi.Remote;
import java.rmi.RemoteException;
import java.util.ArrayList;
import java.util.Vector;

import pl.wat.wcy.openmap.rmi.dted.support.RMIDTEDFrameSubframeInfo;
import pl.wat.wcy.openmap.rmi.dted.support.RemoteCADRG;
import pl.wat.wcy.openmap.rmi.dted.support.RemoteLLXY;


import com.bbn.openmap.omGraphics.OMGraphicList;
import com.bbn.openmap.proj.EqualArc;

/**
 * @author Mariusz Chmielewski
 * Cyebrnetics Faculty
 * Military University of Technology
 * mchmielewski@wat.edu.pl  
 *
 */

public interface RMIDTEDRemote extends Remote {

	public int getElevation(float lat, float lon) throws RemoteException;

    public void setSubframeInfo(RMIDTEDFrameSubframeInfo dfsi) throws RemoteException;

    public RMIDTEDFrameSubframeInfo getSubframeInfo() throws RemoteException;
    
    public ArrayList getRectangle(RemoteCADRG proj) throws RemoteException;
    
    public ArrayList getRectangle(RemoteLLXY proj) throws RemoteException;
    
    public void setDtedDirPaths(String[] paths) throws RemoteException;
    
    public void setDtedDirPaths(String[] paths, String[] paths2) throws RemoteException;
    
    public void setCacheSize(int size) throws RemoteException;
    
    public void setNumColors(int numberOfColors) throws RemoteException;
    
    public void setOpaqueness(int setting) throws RemoteException;
    
}
    