package pl.wat.wcy.openmap.rmi.dted.support;

import java.io.Serializable;

import com.bbn.openmap.LatLonPoint;
import com.bbn.openmap.proj.CADRG;

/**
 * @author Mariusz Chmielewski
 * Cyebrnetics Faculty
 * Military University of Technology
 * mchmielewski@wat.edu.pl  
 *
 */

public class RemoteCADRG implements Serializable {

	public double c_lat = 0.0;
	public double c_lon = 0.0;
	public float scale = 0.0f;
	public int width = 0;
	public int height = 0;
	
	
	public RemoteCADRG(){	
	}

    public RemoteCADRG(LatLonPoint center_, float scale_, int width_, int height_) {
    	c_lat = center_.getLatitude();
    	c_lon = center_.getLongitude();
    	scale = scale_;
    	width = width_;
    	height = height_;
    }
    
    public RemoteCADRG(double lat, double lon, float scale_, int width_, int height_) {
    	c_lat = lat;
    	c_lon = lon;
    	scale = scale_;
    	width = width_;
    	height = height_;
    }
    
    public CADRG transform (){
    	LatLonPoint center = new LatLonPoint(c_lat,c_lon);
    	return new CADRG (center,scale,width,height);
    }
	
}
